Index: imaps-frontend/src/scripts/rendered_shapes/RenderedEntrance.js
===================================================================
--- imaps-frontend/src/scripts/rendered_shapes/RenderedEntrance.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/rendered_shapes/RenderedEntrance.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -8,6 +8,6 @@
       x: attrs.x,
       y: attrs.y,
-      width: attrs.width * scaleX,
-      height: attrs.height * scaleY,
+      width: attrs.width,
+      height: attrs.height,
       fill: "#7fef83",
       stroke: "black",
Index: imaps-frontend/src/scripts/rendered_shapes/RenderedRoom.js
===================================================================
--- imaps-frontend/src/scripts/rendered_shapes/RenderedRoom.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/rendered_shapes/RenderedRoom.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -7,6 +7,6 @@
       x: attrs.x,
       y: attrs.y,
-      width: attrs.width * scaleX,
-      height: attrs.height * scaleY,
+      width: attrs.width,
+      height: attrs.height,
       fill: "#A2D9FF",
       stroke: "black",
Index: imaps-frontend/src/scripts/rendered_shapes/RenderedStairs.js
===================================================================
--- imaps-frontend/src/scripts/rendered_shapes/RenderedStairs.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/rendered_shapes/RenderedStairs.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -8,6 +8,6 @@
             x: attrs.x,
             y: attrs.y,
-            width: attrs.width * scaleX,
-            height: attrs.height * scaleY,
+            width: attrs.width ,
+            height: attrs.height,
             fill: "rgb(199,190,133)",
             stroke: "rgb(16,15,15)",
Index: imaps-frontend/src/scripts/rendered_shapes/RenderedWall.js
===================================================================
--- imaps-frontend/src/scripts/rendered_shapes/RenderedWall.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/rendered_shapes/RenderedWall.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -7,6 +7,6 @@
             x: attrs.x,
             y: attrs.y,
-            width: attrs.width * scaleX,
-            height: attrs.height * scaleY,
+            width: attrs.width,
+            height: attrs.height,
             fill: '#4B4B4B',
             stroke: 'black',
Index: imaps-frontend/src/scripts/shapes/Entrance.js
===================================================================
--- imaps-frontend/src/scripts/shapes/Entrance.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/shapes/Entrance.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -2,4 +2,7 @@
 import MapNode from "../base/MapNode.js";
 import {node} from "prop-types";
+import ShapeRegistry from "../util/ShapeRegistry.js";
+import ShapeQuery from "../util/ShapeQuery.js";
+import Konva from "konva";
 
 export default class Entrance extends MapNode {
@@ -14,6 +17,6 @@
                 x: attrs.position.x,
                 y: attrs.position.y,
-                width: attrs.width,
-                height: attrs.height,
+                width: attrs.width * attrs.scaleX,
+                height: attrs.height * attrs.scaleY,
                 fill: "rgb(126,238,167)",
                 stroke: "#252627",
@@ -46,18 +49,20 @@
         this.initText();
         this.moveToTop();
+
+        console.log("room CONNECT: " + attrs.connected_room,this.info.connectedRoom + "CON")
+        console.log("entrance: " + this.info.name)
     }
 
     loadInfo(attrs) {
-        this.info.name = attrs.obj_name;
-        this.info.connectedRoom = attrs.connected_room;
-        this.info.description = attrs.description;
-        this.info.isMainEntrance = attrs.is_main_entrance;
-        this.info.selectedPins = attrs.connected_pins;
-        this.floorNum = attrs.floor_num;
+        this.info.name = attrs.obj_name ?? `Entrance${this.id} [${this.floorNum}F]`;
+        this.info.connectedRoom = attrs.connected_room ?? ``;
+        this.info.description = attrs.description ?? ``;
+        this.info.isMainEntrance = attrs.is_main_entrance ?? false;
+        this.info.selectedPins = attrs.connected_pins ?? [];
     }
+
 
     saveShapeDetails() {
         console.info("fnum entrance",this.attrs.floorNum)
-
         this.setAttr("connected_pins", this.info.selectedPins);
         this.setAttr("obj_name", this.info.name);
@@ -75,9 +80,14 @@
 
     setInfo(infoObj) {
-        console.log("SA VIKNA SETINFO")
         this.info = infoObj;
+        this.setHighlight();
+    }
+
+    setHighlight(){
+        console.log("info room: " + this.info.connectedRoom)
         if(this.info.connectedRoom == null || this.info.connectedRoom === "" ){
+            console.log("vleze if")
             this.strokeWidth(2);
-            this.stroke("#a10114")
+            this.stroke("#8a000d")
         }else{
             this.strokeWidth(1)
@@ -85,4 +95,15 @@
         }
     }
+
+    onPlace() {
+        ShapeQuery
+            .findAllByTypeAndFloor(this.floorNum,"Room")
+            .forEach(room => {
+                if(Konva.Util.haveIntersection(room.getClientRect(),this.getClientRect())){
+                    this.info.connectedRoom = room.info.name;
+                }
+            })
+        this.setHighlight()
+    }
 }
 
Index: imaps-frontend/src/scripts/util/Factory.js
===================================================================
--- imaps-frontend/src/scripts/util/Factory.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/util/Factory.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -45,4 +45,10 @@
     let scaleX = (attrs.scaleX ? parseFloat(attrs.scaleX) : 1);
     let scaleY =  (attrs.scaleY ? parseFloat(attrs.scaleY) : 1);
+
+    attrs.width *= scaleX;
+    attrs.height *= scaleY
+
+    console.log("SCALEX " + scaleX)
+    console.log("SCALEY " + scaleY)
     switch (shapeType) {
       case "Entrance":
Index: imaps-frontend/src/scripts/util/dispatchCustomEvent.js
===================================================================
--- imaps-frontend/src/scripts/util/dispatchCustomEvent.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/scripts/util/dispatchCustomEvent.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,6 @@
+export const dispatchCustomEvent = (eventName,data) => {
+    let event = new CustomEvent(eventName,{
+        detail : data
+    })
+    window.dispatchEvent(event)
+}
